before_script:
  - "source ~gitlab-runner/cicd_support/cicd_support.shinc" 

after_script:
  - "source ~gitlab-runner/cicd_support/cicd_support.shinc" 

stages:
  - clean
  - build
  - test
  - deploy


#
# Cleaning
#
.do-nightly-clean: &do-nightly-clean
  stage: clean
  script:
    - ./cicd_testing/do-clean.sh 

do-nightly-clean-ubuntu18:
  <<: *do-nightly-clean
  tags:
    - ubuntu18



#
# Building
#

.do-build: &do-build
  stage: build
  script:
    - ./cicd_testing/do-build.sh 

do-build-ubuntu18:
  <<: *do-build
  tags:
    - ubuntu18

#
# testing
#

.do-test: &do-test
  stage: test
  script:
    - ./cicd_testing/do-test.sh 

do-test-ubuntu18:
  <<: *do-test
  tags:
    - ubuntu18

#
# testing docker container, plus weekly deployment
#

.do-deploy: &do-deploy
  stage: deploy
  script:
    - ./cicd_testing/do-deploy.sh 

do-deploy-ubuntu18:
  <<: *do-deploy
  tags:
    - ubuntu18
